> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Superset databases

> Returns all databases registered in Superset.



## OpenAPI

````yaml get /api/analytics/databases
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/analytics/databases:
    get:
      tags:
        - Analytics
      summary: List all Superset databases
      description: Returns all databases registered in Superset.
      operationId: get_databases_api_analytics_databases_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SupersetDatabase'
                type: array
                title: Response Get Databases Api Analytics Databases Get
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SupersetDatabase:
      properties:
        allow_ctas:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Ctas
        allow_cvas:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Cvas
        allow_dml:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Dml
        allow_file_upload:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow File Upload
        allow_multi_catalog:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Multi Catalog
        allow_run_async:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Run Async
        allows_cost_estimate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allows Cost Estimate
        allows_subquery:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allows Subquery
        allows_virtual_table_explore:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allows Virtual Table Explore
        backend:
          type: string
          title: Backend
        changed_by:
          additionalProperties:
            type: string
          type: object
          title: Changed By
        changed_on:
          type: string
          title: Changed On
        changed_on_delta_humanized:
          type: string
          title: Changed On Delta Humanized
        created_by:
          additionalProperties:
            type: string
          type: object
          title: Created By
        database_name:
          type: string
          title: Database Name
        disable_data_preview:
          type: boolean
          title: Disable Data Preview
        disable_drill_to_detail:
          type: boolean
          title: Disable Drill To Detail
        engine_information:
          additionalProperties:
            type: boolean
          type: object
          title: Engine Information
        explore_database_id:
          type: integer
          title: Explore Database Id
        expose_in_sqllab:
          type: boolean
          title: Expose In Sqllab
        extra:
          type: string
          title: Extra
        force_ctas_schema:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Force Ctas Schema
        id:
          type: integer
          title: Id
        uuid:
          type: string
          title: Uuid
      type: object
      required:
        - allow_ctas
        - allow_cvas
        - allow_dml
        - allow_file_upload
        - allow_multi_catalog
        - allow_run_async
        - allows_cost_estimate
        - allows_subquery
        - allows_virtual_table_explore
        - backend
        - changed_by
        - changed_on
        - changed_on_delta_humanized
        - created_by
        - database_name
        - disable_data_preview
        - disable_drill_to_detail
        - engine_information
        - explore_database_id
        - expose_in_sqllab
        - extra
        - force_ctas_schema
        - id
        - uuid
      title: SupersetDatabase
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````